Draft WireToBSpline: Difference between revisions

From FreeCAD Documentation
(Created page with '{{GuiCommand|Name=Draft_WireToBSpline|Workbenches=Draft, Arch|MenuLocation=Drafting -> Wire to BSpline}} ==Description== This tool converts [[D…')
 
m (Languages spanish)
Line 29: Line 29:
points = FreeCAD.ActiveDocument.ActiveObject.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
Draft.makeWire(points)

{{languages | {{es|Draft_WireToBSpline/es}} }}

Revision as of 22:17, 30 August 2012

Draft_WireToBSpline

Menu location
Drafting -> Wire to BSpline
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

# if the active object is a wire
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
# if the active object is a bspline
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
Available translations of this page: